<?php 
	// If selected refresh is not available, bail
	if ( ! isset( $wp_customize->selective_refresh ) ) {
		return;
	}
	//Selective Refresh (Edit Link) for Blog Name and Description
    $wp_customize->selective_refresh->add_partial( 'blogname', array(
		'selector' => 'a.site-title',
		'settings' => 'blogname',
		'render_callback' => function() {
			bloginfo( 'blogname' );
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
		'selector' => '.tagline',
		'settings' => 'blogdescription',
		'render_callback' => function() {
			bloginfo( 'blogdescription' );
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_header_tag_setting', array(
		'selector' => '.intro-main-text, .socialmag-portfolio h1',
		'settings' => 'socialmag_header_tag_setting',
		'render_callback' => function() {
			return get_theme_mod('socialmag_header_tag_setting');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_header_tag_two_setting', array(
		'selector' => '.main-second-intro',
		'settings' => 'socialmag_header_tag_two_setting',
		'render_callback' => function() {
			return is_front_page();
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_button_text_setting', array(
		'selector' => '.featured-button',
		'settings' => 'socialmag_button_text_setting',
		'render_callback' => function() {
			return is_front_page();
		},
		'fallback_refresh' => true,
	) );
	//Selective Refresh (Edit Link) for Social Network Icons
	$wp_customize->selective_refresh->add_partial( 'socialmag_social_icon_one', array(
		'selector' => '.social-network-links.social-one',
		'settings' => 'socialmag_social_icon_one',
		'render_callback' => function() {
			return get_theme_mod('socialmag_social_icon_one');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_social_icon_two', array(
		'selector' => '.social-network-links.social-two',
		'settings' => 'socialmag_social_icon_two',
		'render_callback' => function() {
			return get_theme_mod('socialmag_social_icon_two');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_social_icon_three', array(
		'selector' => '.social-network-links.social-three',
		'settings' => 'socialmag_social_icon_three',
		'render_callback' => function() {
			return get_theme_mod('socialmag_social_icon_three');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_social_icon_four', array(
		'selector' => '.social-network-links.social-four',
		'settings' => 'socialmag_social_icon_four',
		'render_callback' => function() {
			return get_theme_mod('socialmag_social_icon_four');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_social_icon_five', array(
		'selector' => '.social-network-links.social-five',
		'settings' => 'socialmag_social_icon_five',
		'render_callback' => function() {
			return get_theme_mod('socialmag_social_icon_five');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_social_icon_six', array(
		'selector' => '.social-network-links.social-six',
		'settings' => 'socialmag_social_icon_six',
		'render_callback' => function() {
			return get_theme_mod('socialmag_social_icon_six');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_social_icon_seven', array(
		'selector' => '.social-network-links.social-seven',
		'settings' => 'socialmag_social_icon_seven',
		'render_callback' => function() {
			return get_theme_mod('socialmag_social_icon_seven');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_themesmatic_icon_size', array(
		'selector' => 'ul.social-wrap',
		'settings' => 'socialmag_themesmatic_icon_size',
		'render_callback' => function() {
			return get_theme_mod('socialmag_themesmatic_icon_size');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_social_sharing_check', array(
		'selector' => '.socialmag-sharing',
		'settings' => 'socialmag_social_sharing_check',
		'render_callback' => function() {
			return get_theme_mod('socialmag_social_sharing_check');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_grid_choice_setting', array(
		'selector' => '#front-layout',
		'settings' => 'socialmag_grid_choice_setting',
		'render_callback' => function() {
			return get_theme_mod('socialmag_grid_choice_setting');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_image_upload_top_sidebar', array(
		'selector' => '.top-sidebar',
		'settings' => 'socialmag_image_upload_top_sidebar',
		'render_callback' => function() {
			return get_theme_mod('socialmag_image_upload_top_sidebar');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_image_upload_top_left_sidebar', array(
		'selector' => '.top-left-ad',
		'settings' => 'socialmag_image_upload_top_left_sidebar',
		'render_callback' => function() {
			return get_theme_mod('socialmag_image_upload_top_left_sidebar');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_image_upload_post_banner', array(
		'selector' => '.bottom-post-ad',
		'settings' => 'socialmag_image_upload_post_banner',
		'render_callback' => function() {
			return get_theme_mod('socialmag_image_upload_post_banner');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_image_upload_page_banner', array(
		'selector' => '.bottom-page-ad',
		'settings' => 'socialmag_image_upload_page_banner',
		'render_callback' => function() {
			return get_theme_mod('socialmag_image_upload_page_banner');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_image_upload_footer_banner', array(
		'selector' => '.above-footer-ad',
		'settings' => 'socialmag_image_upload_footer_banner',
		'render_callback' => function() {
			return get_theme_mod('socialmag_image_upload_footer_banner');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_app_store_header_setting', array(
		'selector' => '.app-store-front-title',
		'settings' => 'socialmag_app_store_header_setting',
		'render_callback' => function() {
			return get_theme_mod('socialmag_app_store_header_setting');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_app_store_paragraph_setting', array(
		'selector' => '.app-store-front-paragraph',
		'settings' => 'socialmag_app_store_paragraph_setting',
		'render_callback' => function() {
			return get_theme_mod('socialmag_app_store_paragraph_setting');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_google_store_link_setting', array(
		'selector' => '.google-store-front-link',
		'settings' => 'socialmag_google_store_link_setting',
		'render_callback' => function() {
			return get_theme_mod('socialmag_google_store_link_setting');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_itunes_store_link_setting', array(
		'selector' => '.itunes-front-link',
		'settings' => 'socialmag_itunes_store_link_setting',
		'render_callback' => function() {
			return get_theme_mod('socialmag_itunes_store_link_setting');
		},
		'fallback_refresh' => true,
	) );
	$wp_customize->selective_refresh->add_partial( 'socialmag_app_image_setting', array(
		'selector' => '.social-app-image',
		'settings' => 'socialmag_app_image_setting',
		'render_callback' => function() {
			return get_theme_mod('socialmag_app_image_setting');
		},
		'fallback_refresh' => true,
	) );
	
	//Landing page controls selective refresh
	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_featured_text_setting', array(
		'selector' => '.socialmag-landing-hero',
		'settings' => 'socialmag_landing_featured_text_setting',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_featured_text_setting');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_featured_paragraph_setting', array(
		'selector' => '.socialmag-lead-paragraph',
		'settings' => 'socialmag_landing_featured_paragraph_setting',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_featured_paragraph_setting');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_featured_button_setting', array(
		'selector' => '.landing-page-button',
		'settings' => 'socialmag_landing_featured_button_setting',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_featured_button_setting');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_customer_note_setting', array(
		'selector' => '.landing-page-note',
		'settings' => 'socialmag_landing_customer_note_setting',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_customer_note_setting');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_product_image_setting', array(
		'selector' => '.product-image',
		'settings' => 'socialmag_landing_product_image_setting',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_product_image_setting');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_background_product_image_setting', array(
		'selector' => '.full-width-image',
		'settings' => 'socialmag_background_product_image_setting',
		'render_callback' => function() {
			return get_theme_mod('socialmag_background_product_image_setting');
		},
		'fallback_refresh' => true,
	) );

	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_layered_text_setting', array(
		'selector' => '.layered-header',
		'settings' => 'socialmag_landing_layered_text_setting',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_layered_text_setting');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_list_header_setting', array(
		'selector' => '.socialmag-product-features',
		'settings' => 'socialmag_landing_list_header_setting',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_list_header_setting');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_list_paragraph_setting', array(
		'selector' => '.socialmag-features-paragraph',
		'settings' => 'socialmag_landing_list_paragraph_setting',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_list_paragraph_setting');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_icon_one', array(
		'selector' => '.landing-icon-one',
		'settings' => 'socialmag_landing_icon_one',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_icon_one');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_icon_two', array(
		'selector' => '.landing-icon-two',
		'settings' => 'socialmag_landing_icon_two',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_icon_two');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_icon_three', array(
		'selector' => '.landing-icon-three',
		'settings' => 'socialmag_landing_icon_three',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_icon_three');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_product_list_image', array(
		'selector' => '.center-landing-image',
		'settings' => 'socialmag_product_list_image',
		'render_callback' => function() {
			return get_theme_mod('socialmag_product_list_image');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_icon_four', array(
		'selector' => '.landing-icon-four',
		'settings' => 'socialmag_landing_icon_four',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_icon_four');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_icon_five', array(
		'selector' => '.landing-icon-five',
		'settings' => 'socialmag_landing_icon_five',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_icon_five');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_icon_six', array(
		'selector' => '.landing-icon-six',
		'settings' => 'socialmag_landing_icon_six',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_icon_six');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_last_product_image', array(
		'selector' => '.last-landing-image',
		'settings' => 'socialmag_last_product_image',
		'render_callback' => function() {
			return get_theme_mod('socialmag_last_product_image');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_last_header', array(
		'selector' => '.last-image-header',
		'settings' => 'socialmag_landing_last_header',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_last_header');
		},
		'fallback_refresh' => true,
	) );

	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_last_paragraph', array(
		'selector' => '.last-image-paragraph',
		'settings' => 'socialmag_landing_last_paragraph',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_last_paragraph');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_call_action_header', array(
		'selector' => '.call-to-action-header',
		'settings' => 'socialmag_landing_call_action_header',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_call_action_header');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_call_action_paragraph', array(
		'selector' => '.call-to-action-paragraph',
		'settings' => 'socialmag_landing_call_action_paragraph',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_call_action_paragraph');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_landing_call_action_button', array(
		'selector' => '.landing-page-closing-button',
		'settings' => 'socialmag_landing_call_action_button',
		'render_callback' => function() {
			return get_theme_mod('socialmag_landing_call_action_button');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_show_panel_one', array(
		'selector' => '.panel-one',
		'settings' => 'socialmag_show_panel_one',
		'render_callback' => function() {
			return get_theme_mod('socialmag_show_panel_one');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_show_panel_two', array(
		'selector' => '.panel-two',
		'settings' => 'socialmag_show_panel_two',
		'render_callback' => function() {
			return get_theme_mod('socialmag_show_panel_two');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_show_panel_three', array(
		'selector' => '.panel-three',
		'settings' => 'socialmag_show_panel_three',
		'render_callback' => function() {
			return get_theme_mod('socialmag_show_panel_three');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_show_panel_four', array(
		'selector' => '.panel-four',
		'settings' => 'socialmag_show_panel_four',
		'render_callback' => function() {
			return get_theme_mod('socialmag_show_panel_four');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_show_panel_five', array(
		'selector' => '.panel-five',
		'settings' => 'socialmag_show_panel_five',
		'render_callback' => function() {
			return get_theme_mod('socialmag_show_panel_five');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_show_panel_six', array(
		'selector' => '.panel-six',
		'settings' => 'socialmag_show_panel_six',
		'render_callback' => function() {
			return get_theme_mod('socialmag_show_panel_six');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_show_panel_seven', array(
		'selector' => '.panel-seven',
		'settings' => 'socialmag_show_panel_seven',
		'render_callback' => function() {
			return get_theme_mod('socialmag_show_panel_seven');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_one_background_url', array(
		'selector' => '.socialmag-panel.panel-one.panel-background',
		'settings' => 'socialmag_panel_one_background_url',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_one_background_url');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_one_header', array(
		'selector' => '.panel-one .socialmag-panel-info h2',
		'settings' => 'socialmag_panel_one_header',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_one_header');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_one_paragraph', array(
		'selector' => '.panel-one .socialmag-panel-info p',
		'settings' => 'socialmag_panel_one_paragraph',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_one_paragraph');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_one_button', array(
		'selector' => '.panel-one .socialmag-panel-info a',
		'settings' => 'socialmag_panel_one_button',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_one_button');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_one_button', array(
		'selector' => '.panel-one .socialmag-panel-info a',
		'settings' => 'socialmag_panel_one_button',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_one_button');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_three_youtube_url', array(
		'selector' => '.panel-three .panel-three-video',
		'settings' => 'socialmag_panel_three_youtube_url',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_three_youtube_url');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_three_vimeo_url', array(
		'selector' => '.panel-three .panel-three-video',
		'settings' => 'socialmag_panel_three_vimeo_url',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_three_vimeo_url');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_three_uploaded_video_url', array(
		'selector' => '.panel-three .panel-three-video',
		'settings' => 'socialmag_panel_three_uploaded_video_url',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_three_uploaded_video_url');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_three_header', array(
		'selector' => '.panel-three .socialmag-panel-info h2',
		'settings' => 'socialmag_panel_three_header',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_three_header');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_three_paragraph', array(
		'selector' => '.panel-three .socialmag-panel-info p',
		'settings' => 'socialmag_panel_three_paragraph',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_three_paragraph');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_three_button', array(
		'selector' => '.panel-three .socialmag-panel-info a',
		'settings' => 'socialmag_panel_three_button',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_three_button');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_four_background_url', array(
		'selector' => '.socialmag-panel.panel-four.panel-background',
		'settings' => 'socialmag_panel_four_background_url',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_four_background_url');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_four_header', array(
		'selector' => '.panel-four .socialmag-panel-info h2',
		'settings' => 'socialmag_panel_four_header',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_four_header');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_four_paragraph', array(
		'selector' => '.panel-four .socialmag-panel-info p',
		'settings' => 'socialmag_panel_four_paragraph',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_four_paragraph');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_four_button', array(
		'selector' => '.panel-four .socialmag-panel-info a',
		'settings' => 'socialmag_panel_four_button',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_four_button');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_six_background_url', array(
		'selector' => '.socialmag-panel.panel-six.panel-background',
		'settings' => 'socialmag_panel_six_background_url',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_six_background_url');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_six_header', array(
		'selector' => '.panel-six .socialmag-panel-info h2',
		'settings' => 'socialmag_panel_six_header',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_six_header');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_six_paragraph', array(
		'selector' => '.panel-six .socialmag-panel-info p',
		'settings' => 'socialmag_panel_six_paragraph',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_six_paragraph');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_six_button', array(
		'selector' => '.panel-six .socialmag-panel-info a',
		'settings' => 'socialmag_panel_six_button',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_six_button');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_seven_image_url', array(
		'selector' => '.panel-seven-image',
		'settings' => 'socialmag_panel_seven_image_url',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_seven_image_url');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_seven_header', array(
		'selector' => '.panel-seven .socialmag-panel-info h2',
		'settings' => 'socialmag_panel_seven_header',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_seven_header');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_seven_paragraph', array(
		'selector' => '.panel-seven .socialmag-panel-info p',
		'settings' => 'socialmag_panel_seven_paragraph',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_seven_paragraph');
		},
		'fallback_refresh' => true,
	) );
	
	$wp_customize->selective_refresh->add_partial( 'socialmag_panel_seven_button', array(
		'selector' => '.panel-seven .socialmag-panel-info a',
		'settings' => 'socialmag_panel_seven_button',
		'render_callback' => function() {
			return get_theme_mod('socialmag_panel_seven_button');
		},
		'fallback_refresh' => true,
	) );